gstreamermm 1.10.0

Public Member Functions | Public Attributes | List of all members
Gst::FormatDefinition Class Reference

A class to store the details of a Gst::Format retrieved by Gst::get_format_details(). More...

`#include <gstreamermm/format.h>`

## Public Member Functions
| FormatDefinition ()
| Default constructor. More...
| FormatDefinition (const GstFormatDefinition* castitem)
| Constructs a Gst::FormatDefinition from a C GstFormatDefinition type. More...

## Public Attributes
Gst::Format | value
| The unique id of this format. More...
Glib::ustring | nick
| A short nick of the format. More...
Glib::ustring | description
| A longer description of the format. More...
Glib::QueryQuark | quark
| A quark for the nick. More...

## Detailed Description

A class to store the details of a Gst::Format retrieved by Gst::get_format_details().

## Constructor & Destructor Documentation

## ◆ FormatDefinition() [1/2]

Gst::FormatDefinition::FormatDefinition | ( |  | ) |

Default constructor.

## ◆ FormatDefinition() [2/2]

Gst::FormatDefinition::FormatDefinition | ( | const GstFormatDefinition * | castitem | ) |
| explicit

Constructs a Gst::FormatDefinition from a C GstFormatDefinition type.

The castitem is left unaffected; its contents are simply copied.

Parameters

  castitem | The GstFormatDefinition to copy contents from.

## Member Data Documentation

## ◆ description

Glib::ustring Gst::FormatDefinition::description

A longer description of the format.

## ◆ nick

Glib::ustring Gst::FormatDefinition::nick

A short nick of the format.

## ◆ quark

Glib::QueryQuark Gst::FormatDefinition::quark

A quark for the nick.

## ◆ value

Gst::Format Gst::FormatDefinition::value

The unique id of this format.